##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       VARIABLES                                                                                                                                            
##       Some Variables I needed before the game starts.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
init:
    $ another_story = False
    $ extra_mode = False
    $ crap_mode = False
    $ music_playing = False
   
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       SIDE STORY IMAGES                                                                                                                                            
##       Images used in the "Banong Side Story".
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
init:
    image bg another 01 = "another_01.png"
    image bg another 02 = "another_02.png"
    image bg another 03 = "another_03.png"
    image bg another 04 = "another_04.png"
    image bg another 05 = "another_05.png"
    image bg another 06 = "another_06.png"
    image bg another 07 = "another_07.png"
    image bg another 08 = "another_08.png"
    image bg another 09 = "another_09.png"
    image bg another 10 = "another_10.png"
    image bg another 11 = "another_11.png"
    image bg another 12 = "another_12.png"
    image bg another 13 = "another_13.png"
    image bg another 14 = "another_14.png"
    image bg another 15 = "another_15.png"  # Mugen with Lucy Picture
    image bg another 16 = "another_16.png"  # Now with more tissue
    image bg another 17 = "another_17.png"
    image bg another 18 = "another_18.png"
    image bg another 19 = "another_19.png"
    image bg another 20 = "another_20.png"
    image bg another 21 = "another_21.png"
    image bg another 22 = "another_22.png"
    image bg another 23 = "another_23.png"
    image bg another 23 = "another_23.png"
    image bg another 24 = "another_24.png"
    image bg another 25 = "another_25.png"
    image bg another 26 = "another_26.png"
    image bg another 27 = "another_27.png"
    image bg another 28 = "another_28.png"
    image bg another 29 = "another_29.png"
    image bg another 30 = "another_30.png"
    image bg another 31 = "another_31.png"
    image bg another 32 = "another_32.png"
    image bg another deadmaid 01 = "another_deadmaid_01.png"
    image bg another deadmaid 02 = "another_deadmaid_02.png"
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       BACKGROUND IMAGES                                                                                                                                            
##       Background images used in this game.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

    image bg classroom = Animation("classroom_01.png", 0.7, "classroom_02.png", 0.7, )
    image bg locker = "locker.png"
    image bg uni = "uni.png"
    image bg uni a = Animation("uni_01.png", 1.5, "uni_02.png", 0.01, "uni_03.png", 0.01, "uni_04.png", 0.01, "uni_05.png", 0.01, "uni_06.png", 3.0, "uni_01.png", 1.0, "uni_07.png", 2.0, "uni_08.png", 2.0, "uni_01.png", 1.0, "uni_09.png", 2.0, "uni_10.png", 0.05, "uni_11.png", 0.05, "uni_12.png", 50000.0, )
    image bg conveniencestore = "convenience_store.png"
    image bg studio = "studio.png"
    image bg stormdrain dusk = "stormdrain_dusk.png"
    image bg morning path = "morning_path.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       ASSORTED IMAGES                                                                                                                                            
##       I dunno... 
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

    image oyl 01 = "oyl_01.jpg"                         # Black screen with narrow window showing Studio (a few minutes later) - Used in One Year Later Arc
    image oyl 02 = "oyl_02.jpg"                         # Black screen with narrow window showing Studio (a few minutes later) - Used in One Year Later Arc
    image bg few = "few.jpg"                             # Black screen with white text saying (a few minutes later) - Used in Banong Side Story
    image bg drama 01 = "drama_01.png"        # Polaroid Shot of Convenience Store
    
    image white = "white.jpg"                             # A jpg image consisting of one color... white
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       EVENT IMAGES                                                                                                                                            
##       Images used in scrap and other leftovers section of the gallery.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

    image bg firehose = "firehose.jpg"
    image bg firehose sepia = "firehose_sepia.jpg"
    image bg demo = "demo.jpg"
    image bg wtf = Animation("wtf_01.png", 0.1, "wtf_02.png", 0.1,  "wtf_03.png", 0.1, "wtf_04.png", 0.1,)
    image bg drawing 01 = "drawing_01.png"
    image bg drawing 02 = "drawing_02.png"
    
    image bg classroom boom = "classroom_03.png"
    image bg oh shit = "oh_shit.png"
    
    
    # Pop-Ups and other objects
    image weed = Animation("weed_anim_01.png", 0.1, "weed_anim_03.png", 0.1, "weed_anim_05.png", 50000.0, )
    image easter egg 01 = Animation("gui_main_menu_c1.png", 0.01, "gui_main_menu_c2.png", 0.01, "gui_main_menu_c3.png", 0.01, "gui_main_menu_c4.png", 50000.0, )
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       SCRAP AND OTHER LEFTOVER IMAGES                                                                                                                                            
##       Images used in scrap and other leftovers section of the gallery
##       ███████████████████████████████████████████████████████████████████████████████████████████  

    image bg scrap boyet = "scrap_boyet.png"
    image bg scrap joel = "scrap_joel.png"
    image bg scrap diego = "scrap_diego.png"
    image bg scrap rommel = "scrap_rommel.png"
    image bg scrap snapshot = "scrap_snapshot.png"
    
    image a1 = "sucked_up_01.png"
    image a2 = "sucked_up_02.png"
    image a1b = "sucked_up_01b.png"
    image a2b = "sucked_up_02b.png"
    image a1bc = "sucked_up_01b.png"
    
    image sylvie far = "sylvie_far.png"
    
    image mugen insert = "mugen_insert.png"
    image insert 00 = "insert_00.png"
    image insert 01 = "insert_01.png"
    image insert 02 = "insert_02.png"
    image insert 03 = "insert_03.png"
    image insert 04 = "insert_04.png"
    image insert 05 = "insert_05.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       CHARACTER IMAGE - SYLVIE                                                                                                                                            
##       Character images for Normal Sylvie
##       ███████████████████████████████████████████████████████████████████████████████████████████     

    image sylvie wistful 01 = "sylvie_wistful_01.png"
    image sylvie wistful 02 = "sylvie_wistful_02.png"
    image sylvie wistful 03 = "sylvie_wistful_03.png"
    image sylvie smile 01 = "sylvie_smile_01.png"
    image sylvie smile 02 = "sylvie_smile_02.png"
    image sylvie smile 03 = "sylvie_smile_03.png"
    image sylvie smile 04 = "sylvie_smile_04.png"
    image sylvie giggle 01 = "sylvie_giggle_01.png"
    image sylvie giggle 02 = "sylvie_giggle_02.png"
    image sylvie giggle 03 = "sylvie_giggle_03.png"
    image sylvie ahh 01 = "sylvie_ahh_01.png"
    image sylvie ahh 02 = "sylvie_ahh_02.png"
    image sylvie ahh 03 = "sylvie_ahh_03.png"
    image sylvie suprised 01 = "sylvie_suprised_01.png"    
    image sylvie suprised 02 = "sylvie_suprised_02.png"  
    image fsylvie 01 = "fsylvie_01.png"
    image fsylvie 02 = "fsylvie_02.png"
    image fsylvie 03 = "fsylvie_03.png"
    image fsylvie 04 = "fsylvie_04.png"
    image fsylvie 05 = "fsylvie_05.png"
    image fsylvie 06 = "fsylvie_06.png"
    image fsylvie 07 = "fsylvie_07.png"
    image fsylvie 08 = "fsylvie_08.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       CHARACTER IMAGE - FAT SYLVIE                                                                                                                                            
##       Character images for Fat Sylvie.
##       ███████████████████████████████████████████████████████████████████████████████████████████     

    image sylvie2 normal = "sylvie_normal.png"
    image sylvie2 giggle = "sylvie_giggle.png"
    image sylvie2 smile = "sylvie_smile.png"  
    image sylvie2 surprised = "sylvie_surprised.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       CHARACTER IMAGE - MUGENJOHNCEL (ME)                                                                                                                                           
##       Need I say more? (I'm so Fucking Handsome)
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

    image mugen 01 = "mugen_01.png"
    image mugen 02 = "mugen_02.png"
    image mugen 03 = "mugen_03.png"
    image mugen 04 = "mugen_04.png"
    image mugen 05 = "mugen_05.png"
    image mugen 06 = "mugen_06.png"
    image mugen 07 = "mugen_07.png"
    image mugen 08 = "mugen_08.png"
    image mugen 09 = "mugen_09.png"
    image mugen far = "mugen_far.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       CHARACTER IMAGE - LUCY                                                                                                                                          
##       Character images for Lucy.
##       ███████████████████████████████████████████████████████████████████████████████████████████     
    
    image lucy 01 = "lucy_01.png"
    image lucy 02 = "lucy_02.png"
    image lucy 03 = "lucy_03.png"
    image lucy 04 = "lucy_04.png"
    image lucy 05 = "lucy_05.png"
    image lucy 06 = "lucy_06.png"
    image lucy 07 = "lucy_07.png"

    image ending 1 a = "ending_1_a.png"
    image ending 1 b = "ending_1_b.png"
    image ending 1 c = "ending_1_c.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       SPLASHSCREEN IMAGES                                                                                                                                            
##       Images used during splashscreen.
##       ███████████████████████████████████████████████████████████████████████████████████████████     

    image s 01 = "s_01.png"
    image s 02 = "s_02.png"
    image s 03 = "s_03.png"
    image s 04 = "s_04.png"
    image s 05 = "s_05.png"
    image s 06 = "s_06.png"
    image s 07 = "s_07.png"
    image s 08 = "s_08.png"
    image s 09 = "s_09.png"
    image s 10 = "s_10.png"
    image s 11 = "s_11.png"
    image s 12 = "s_12.png"
    image s 13 = "s_13.png"
    image s 14 = "s_14.png"
    image s 15 = "s_15.png"
    image s 16 = "s_16.png"
    image s 17 = "s_17.png"
    image s 18 = "s_18.png"
    image s 19 = "s_19.png"
    image s 20 = "s_20.png"
    image s 21 = "s_21.png"
    image s 22 = "s_22.png"
    image s 23 = "s_23.png"
    image s 24 = "s_24.png"
    image s 25 = "s_25.png"
    
    image s 26 = "s_26.png"
    image s 27 = "s_27.png"
    image s 28 = "s_28.png"
    image s 29 = "s_29.png"
    image s 30 = "s_30.png"
    image s 31 = "s_31.png"
    image s 32 = "s_32.png"
    
    image main intro 01 = "intro_main_menu_01.png"
    image main intro 02 = "intro_main_menu_02.png"
    image main intro 03 = "intro_main_menu_03.png"
    image main intro 04 = "intro_main_menu_04.png"
    image main intro 05 = "intro_main_menu_05.png"
    image main intro 06 = "intro_main_menu_06.png"
    image main intro 07 = "intro_main_menu_07.png"
    image main intro 08 = "intro_main_menu_08.png"
    image main intro 09 = "intro_main_menu_09.png"
    image main intro 10 = "intro_main_menu_10.png"
    
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       EXTRA MENU IMAGES                                                                                                                                            
##       Images used for Extra Menu.
##       ███████████████████████████████████████████████████████████████████████████████████████████         

    
    # Another Story Images    
    image gui_side_story_a1 = "gui_side_story_a1.png"
    image gui_side_story_a2 = "gui_side_story_a2.png"
    image gui_side_story_a3 = Animation("gui_side_story_a3.png", 0.5, "gui_side_story_a4.png", 0.5, )
    
    image credit a01 = "credit_a_01.png"
    image credit a02 = "credit_a_02.png"
    image credit a03 = "credit_a_03.png"
    image credit a04 = "credit_a_04.png"
    image credit a05 = "credit_a_05.png"
    image credit a06 = "credit_a_06.png"
    image credit a07 = "credit_a_07.png"
    image credit a08 = "credit_a_08.png"
    image credit a09 = "credit_a_09.png"
    image credit a10 = "credit_a_10.png"
    image credit a11 = "credit_a_11.png"
    image credit a12 = "credit_a_12.png"
    image credit a13 = "credit_a_13.png"
    image credit a14 = "credit_a_14.png"
    image credit a15 = "credit_a_15.png"
    image credit a16 = "credit_a_16.png"
    image credit a17 = "credit_a_17.png"
    image credit a18 = "credit_a_18.png"
    image credit a19 = "credit_a_19.png"
    image credit a20 = "credit_a_20.png"
    image credit a21 = "credit_a_21.png"
    image credit a22 = "credit_a_22.png"
    image credit a23 = "credit_a_23.png"
    image credit a24 = "credit_a_24.png"

    image credit b1 = "credit_b_01.jpg"
    image credit b2 = "credit_b_02.jpg"
    image credit b3 = "credit_b_03.jpg"
    image credit b4 = "credit_b_04.jpg"
    image credit b5 = "credit_b_05.jpg"
    image credit b6 = "credit_b_06.jpg"
    image credit b7 = "credit_b_07.jpg"
    
    image screen01 = "screenshot0001.png"
    image screen02 = "screenshot0002.png"
    image screen03 = "screenshot0003.png"
    image screen04 = "screenshot0004.png"
    image screen05 = "screenshot0005.png"
    image screen06 = "screenshot0006.png"
    image screen07 = "screenshot0007.png"
    image screen08 = "screenshot0008.png"
    image screen09 = "screenshot0009.png"
    image screen10 = "screenshot0010.png"
    image screen11 = "screenshot0011.jpg"
    
    image main01 = "gui_main_menu_a1.png"
    
    image gui_extra_menu = "gui_extra_menu_a0.png"
    
    image gui_music_room = "gui_music_room_a1.png"
    
    image gui_extra_gallery_menu = "gui_extra_gallery_menu_a1.png"
    
    image gui_extra_gallery_character = "gui_extra_gallery_character_a1.png"
    image gui_extra_gallery_background = "gui_extra_gallery_background_a1.png"
    
    image accessdenied = "access_denied.png"
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       CHARACTERS                                                                                                                                            
##       This is where you declare characters. (Incoming wall of text)
##       ███████████████████████████████████████████████████████████████████████████████████████████

    $ e = Character('Eileen', color="#c8ffc8")
    $ s = Character('Sylvie', color="#c8ffc8")
    $ m = Character('Me', color="#c8c8ff")
    $ j = Character('Some Long Haired Guy', color="#FFE6A1")
    
    $ b01 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b02 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b03 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b04 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b05 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_05.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b06 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_06.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b07 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_07.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b08 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_08.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b09 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_09.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b10 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_10.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ b11 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("banong_11.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ sw01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_wistful_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sw02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_wistful_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sw03 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_wistful_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")

    $ ssm01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_smile_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ssm02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_smile_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ssm03 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_smile_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ssm04 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_smile_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ sg01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_giggle_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sg02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_giggle_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sg03 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_giggle_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ sa01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_ahh_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sa02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_ahh_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sa03 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_ahh_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ ssp01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_suprised_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ssp02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_sylvie_suprised_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ sf01 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf02 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf03 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf04 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf05 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_05.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf06 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_06.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf07 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_07.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ sf08 = Character('Sylvie',color="#FED1FF",window_left_padding=170,show_side_image=Image("side_fsylvie_08.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ ob01 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob02 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob03 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob04 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob05 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_05.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob06 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_06.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob07 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_07.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob08 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_08.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob09 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_09.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob10 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_10.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ ob11 = Character('Banong',color="#c8ffc8",window_left_padding=170,show_side_image=Image("o_banong_11.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ m01 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m02 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m03 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m04 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m05 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_05.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m06 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_06.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m07 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_07.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m08 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_08.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ m09 = Character('Some Long Haired Guy',color="#FFE6A1",window_left_padding=170,show_side_image=Image("side_mugen_09.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
  
    $ lucy_ex = Character('Lucy',color="#B3F2FF")
    $ lucy01 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy02 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy03 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy04 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_04.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy05 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_05.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy06 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_06.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ lucy07 = Character('Lucy',color="#B3F2FF",window_left_padding=170,show_side_image=Image("side_lucy_07.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ both01 = Character('Banong & Sylvie',color="#c8ffc8",window_left_padding=300,show_side_image=Image("side_both_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ both02 = Character('Banong & Some Long Haired Guy',color="#c8ffc8",window_left_padding=285,show_side_image=Image("side_both_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ both03 = Character('Three Fucking Idiots',color="#c8ffc8",window_left_padding=390,show_side_image=Image("side_both_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    $ tibursad = Character('Tibursad',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_tibursad.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ tibursad2 = Character('Tibursad',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_tibursad_2.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")  
    $ joel = Character('Joel',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_sister.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ boyet = Character('Boyet',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_classmate.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ diego = Character('Diego',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_friend.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ diego2 = Character('Diego',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_friend_2.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ rommel = Character('Rommel',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_maid.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ rommel2 = Character('Rommel',color="#c8ffc8",window_left_padding=190,show_side_image=Image("side_another_maid_2.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ rommel3 = Character('Rommel',color="#c8ffc8",window_left_padding=190,show_side_image=Image("side_another_maid_3.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ tm1 = Character('Tentacle Monster',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_tentacle_monster_01.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ tm2 = Character('Tentacle Monster',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_tentacle_monster_02.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    $ tm3 = Character('Tentacle Monster',color="#c8ffc8",window_left_padding=170,show_side_image=Image("side_another_tentacle_monster_03.png", xalign=0.0, yalign=1.0), ctc=anim.Filmstrip("arrow.png", (20, 20), (2, 1), .5, xpos=760, ypos=560, xanchor=0, yanchor=0), ctc_position="fixed")
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       SPLASHSCREEN                                                                                                                                            
##       Section contains the script needed to show the splashscreen.
##       ███████████████████████████████████████████████████████████████████████████████████████████

label splashscreen:
    scene black
    $ renpy.pause(0.4, hard=True)
    scene s 01 with fade
    $ renpy.pause(0.4, hard=True)
    scene s 02 with dissolve
    $ renpy.pause(0.4, hard=True)
    scene s 03 with dissolve
    $ renpy.pause(0.4, hard=True)
    scene s 04 with dissolve
    $ renpy.pause(0.4, hard=True)
    scene s 05 with dissolve
    $ renpy.pause(0.01, hard=True)
    show s 06 
    $ renpy.pause(0.01, hard=True)
    show s 07 
    $ renpy.pause(0.01, hard=True)
    show s 08 
    $ renpy.pause(0.01, hard=True)
    show s 09 
    $ renpy.pause(0.01, hard=True)
    show s 10 
    $ renpy.pause(0.01, hard=True)
    show s 11 
    $ renpy.pause(9999999.0)
    scene s 02 with dissolve
    $ renpy.pause(0.4, hard=True)
    play sound "moveokd.ogg"
    scene s 02
    $ renpy.pause(0.02, hard=True)
    show s 12
    $ renpy.pause(0.01, hard=True)
    show s 13
    $ renpy.pause(0.01, hard=True)
    show s 14
    $ renpy.pause(0.01, hard=True)
    show s 15
    $ renpy.pause(0.01, hard=True)
    show s 16
    $ renpy.pause(0.01, hard=True)
    show s 17
    $ renpy.pause(0.01, hard=True)
    show s 18
    $ renpy.pause(0.01, hard=True)
    show s 19
    $ renpy.pause(0.01, hard=True)
    show s 20
    $ renpy.pause(0.01, hard=True)
    show s 21
    $ renpy.pause(0.01, hard=True)
    show s 22
    $ renpy.pause(0.01, hard=True)
    show s 23
    $ renpy.pause(0.01, hard=True)
    show s 24
    $ renpy.pause(0.01, hard=True)
    show s 25 
    $ renpy.pause(5.0, hard=True)
    scene s 26 
    $ renpy.pause(0.01, hard=True)
    show s 27 
    $ renpy.pause(0.01, hard=True)
    show s 28 
    $ renpy.pause(0.01, hard=True)
    play sound "toing.ogg"
    show s 29 
    $ renpy.pause(0.01, hard=True)
    show s 30
    $ renpy.pause(0.01, hard=True)
    show s 31 
    $ renpy.pause(0.01, hard=True)
    show s 32 
    $ renpy.pause(0.01, hard=True)
    scene s 02 
    $ renpy.pause(3.0, hard=True)

    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       This section is responsible for the animated main menu segment of splashscreen.
##       ███████████████████████████████████████████████████████████████████████████████████████████   

              
    show main intro 01 
    $ renpy.pause(0.01, hard=True)
    #play sound "pop02.ogg"
    show main intro 02 
    $ renpy.pause(0.01, hard=True)
    #play sound "pop03.ogg"
    show main intro 02 
    $ renpy.pause(0.01, hard=True)
    #play sound "pop04.ogg"
    show main intro 04 
    $ renpy.pause(0.01, hard=True)
    #play sound "pop05.ogg"
    show main intro 05 
    $ renpy.pause(0.01, hard=True)
    show main intro 06 
    $ renpy.pause(0.01, hard=True)
    show main intro 07 
    $ renpy.pause(0.01, hard=True)
    show main intro 08 
    $ renpy.pause(0.01, hard=True)
    show main intro 09 
    $ renpy.pause(0.01, hard=True)
    play sound "tap.ogg"
    show main intro 10 with vpunch
    $ renpy.pause(0.01, hard=True)
    return

    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       MAIN MENU
##       This segment contains all the necessary code for the image-map based Main Menu.
##       (Damn!... I wish someone would teach me how to do animated image-map based main menu) 
##       ███████████████████████████████████████████████████████████████████████████████████████████   

label main_menu:
    scene main01
    stop music fadeout 1.5
    python:
        result = renpy.imagemap("gui_main_menu_a1.png", Animation ("gui_main_menu_b1.png", .05, "gui_main_menu_b2.png", .05, "gui_main_menu_b3.png", .05, "gui_main_menu_b4.png", .05, "gui_main_menu_b3.png", .05, "gui_main_menu_b2.png", .05),
        [
        (544, 132, 727, 212, "start"),
        (528, 219, 727, 301, "load"), 
        (574, 305, 727, 389, "prefs"),
        (613, 397, 727, 477, "extra"),
        (542, 484, 727, 565, "quit"),
        ], focus="imagemap")
        
    if result == "start":
        $ renpy.jump_out_of_context("start")
        
    elif result == "load":
        jump load_screen
        
    elif result == "prefs":
        jump preferences_screen
        
    elif result == "extra":
        if not persistent.extra_unlocked:
            jump extra_no_entry
            
        $ extra_mode = True
        
        jump start
            
    elif result == "quit":
        $ renpy.quit()
   
    return
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       START (Well, not really)
##       This segment is a bit tricky and involves vars placed somewhere early on this script.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

label start:

    if another_story:
        scene black with fade
        jump another_story
    else:
        jump start2

    return
    
label start2:
    if extra_mode:
        scene gui_extra_menu with dissolve
        jump extra
        
    else:
        jump start3

    return    

label start3:
    
    if crap_mode: 
        jump staff_room
            
    jump base_script
    return

    
